package org.apache.xindice.client.xmldb;

import junit.framework.*;
import org.xmldb.api.base.*;
import org.xmldb.api.base.Collection;
import org.xmldb.api.base.XMLDBException;

import java.util.*;

/**
 * @version $Revision: 1.1 $, $Date: 2002/11/19 09:17:58 $
 * @author Vladimir R. Bossicard <vladimir@apache.org>
 */
public class ResourceIteratorImplTest
      extends TestCase {

   List vct = new Vector();

   public void setUp() {
      for (int i = 0; i < 3; i++) {
         vct.add(new MockResource());
      }
   }

   public void testIterate()
         throws Exception {
      ResourceIterator iterator = new ResourceIteratorImpl(vct);

      assertEquals(true, iterator.hasMoreResources());
      assertNotNull(iterator.nextResource());

      assertEquals(true, iterator.hasMoreResources());
      assertNotNull(iterator.nextResource());

      assertEquals(true, iterator.hasMoreResources());
      assertNotNull(iterator.nextResource());

      assertEquals(false, iterator.hasMoreResources());
      try {
         iterator.nextResource();
         fail();
      } catch (XMLDBException e) {
         return;
      }
   }

   private static class MockResource
         implements Resource {

      public Collection getParentCollection()
            throws XMLDBException {
         return null;
      }

      public String getId()
            throws XMLDBException {
         return null;
      }

      public String getResourceType()
            throws XMLDBException {
         return null;
      }

      public Object getContent()
            throws XMLDBException {
         return null;
      }

      public void setContent(Object value)
            throws XMLDBException {
      }
   }

}
